import sqlite3
import urllib2

class TalosNames(object):
    graphserver_sql = 'http://hg.mozilla.org/graphs/raw-file/tip/sql/data.sql'
    schema = 'http://hg.mozilla.org/graphs/raw-file/tip/sql/schema.sql'

    tables = ['os_list',
              'branches',
              'machines',
              'pagesets',
              'tests']

    def __init__(self):
        self.db = sqlite3.connect(':memory:')
        for table in self.tables:
            pass
        schema = urllib2.urlopen(self.schema).read()
        cursor = self.db.cursor()
        cursor.executescript(schema)

